Skip to navigation

Create Price List

Creates a Price List.

Required Fields

  • name

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

Creates a Price List.
namestringRequired
The unique name of the Price List. Required in a POST request.
activebooleanOptional

Boolean value that specifies whether this Price List and its prices are active or not. Defaults to true.

layerslist of objectsOptional
Fallback price lists to assign on creation. Maximum five items.

Response

OK
dataobjectOptional
Specifies the Common Price List properties.
metaobjectOptional
Response metadata.

Errors

409
Conflict Error
422
Unprocessable Entity Error